Lista los lotes de la cuenta
curl --request GET \
--url https://api.backend.inconcertcc.com/autocontact/api/v1/batches \
--header 'apikey: <api-key>'import requests
url = "https://api.backend.inconcertcc.com/autocontact/api/v1/batches"
headers = {"apikey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apikey: '<api-key>'}};
fetch('https://api.backend.inconcertcc.com/autocontact/api/v1/batches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "e8b63614-f5db-4fd4-84ab-258b7070262e",
"name": "lote_ventas",
"channelName": "Marcador_ventas",
"channelType": "Livekit_SipCall",
"channelId": "55210458-1957-4023-b7cc-82bbb5124aaa",
"status": "archived",
"displayStatus": "archived",
"statusReason": "manual",
"statusChangedAt": "2026-09-07T11:28:37.000Z",
"statusChangedBy": "Usuario de ejemplo",
"totalContacts": 6,
"contactedCount": 0,
"processedCount": 2,
"finishedCount": 2,
"uploadStatus": "completed",
"uploadProgress": 1,
"channelPriority": 1,
"queueSyncStatus": "completed",
"isFavorite": false,
"enabled": true,
"deleted": false,
"createdAt": "2026-09-07T10:53:45.000Z",
"updatedAt": "2026-09-07T11:28:37.000Z",
"createdBy": "Usuario de ejemplo",
"updatedBy": "Usuario de ejemplo",
"crewId": "3de07003-adc0-4b7a-b1d4-333220d51fb4.equipo-ventas.latest"
}
],
"pagination": {
"total": 1,
"page": 0,
"limit": 10
}
}
Lotes
Consultar lotes
Lista y filtra los lotes del marcador de Inagent.
GET
/
batches
Lista los lotes de la cuenta
Devuelve los lotes del marcador que coinciden con los filtros enviados.
Autenticación
string
required
API key obtenida desde la interfaz de Inagent, dentro del marcador.
Parámetros de consulta
integer
Página que se desea consultar. El ejemplo comienza en
0.integer
Cantidad de lotes por página.
string
Campo utilizado para ordenar los resultados. En el ejemplo se usa
createdAt.string
Orden de los resultados. En el ejemplo se usa
desc.string
Estado por el que se filtran los lotes. En el ejemplo se usa
archived.string
Inicio del periodo en formato ISO 8601.
string
Fin del periodo en formato ISO 8601.
Ejemplo
cURL
curl --request GET \
--url 'https://api.backend.inconcertcc.com/autocontact/api/v1/batches?page=0&size=10&sortField=createdAt&sortOrder=desc&status=archived&startDate=2026-08-31T22%3A00%3A00.000Z&endDate=2026-09-16T21%3A59%3A59.999Z' \
--header 'apikey: TU_API_KEY'
{
"data": [
{
"id": "e8b63614-f5db-4fd4-84ab-258b7070262e",
"name": "lote_ventas",
"channelName": "Marcador_ventas",
"channelType": "Livekit_SipCall",
"channelId": "55210458-1957-4023-b7cc-82bbb5124aaa",
"status": "archived",
"displayStatus": "archived",
"statusReason": "manual",
"statusChangedAt": "2026-09-07T11:28:37.000Z",
"statusChangedBy": "Usuario de ejemplo",
"totalContacts": 6,
"contactedCount": 0,
"processedCount": 2,
"finishedCount": 2,
"uploadStatus": "completed",
"uploadProgress": 1,
"channelPriority": 1,
"queueSyncStatus": "completed",
"isFavorite": false,
"enabled": true,
"deleted": false,
"createdAt": "2026-09-07T10:53:45.000Z",
"updatedAt": "2026-09-07T11:28:37.000Z",
"createdBy": "Usuario de ejemplo",
"updatedBy": "Usuario de ejemplo",
"crewId": "3de07003-adc0-4b7a-b1d4-333220d51fb4.equipo-ventas.latest"
}
],
"pagination": {
"total": 1,
"page": 0,
"limit": 10
}
}
La respuesta de cada lote también puede incluir su mapeo, reglas, estrategia de duplicados y datos del canal. Para ver un ejemplo más detallado, consulta Obtener un lote.
Authorizations
API key obtenida desde la interfaz de Inagent, dentro del marcador.
Query Parameters
Número de página, comenzando en 0.
Required range:
x >= 0Número de lotes por página.
Required range:
x >= 1Campo de ordenamiento.
Available options:
asc, desc Filtra por estado del lote. Si se omite, se devuelven todos los lotes, incluidos los archivados.
Available options:
running, stopped, completed, archived Filtra por nombre del lote.
Fecha de creación mínima.
Fecha de creación máxima.
Filtra por equipo asociado al canal del lote.
Tipo de canal, según el catálogo de canales de la cuenta. Por ejemplo Livekit_SipCall.
Was this page helpful?

